/******************************************************************************
  aux.h -- Auxiliary functions
  
  Author: Mark Baranowski (markb@elen.utah.edu)

  Last significant change: July 17, 2000
  
  These functions are provided "as is" in the hopes that they might serve some
  higher purpose.  If you want these functions to serve some lower purpose,
  then that too is all right.  So as to keep these hopes alive you may
  freely distribute these functions so long as this header remains intact.
  You may also freely distribute modified versions of these functions so long
  as you indicate that such versions are modified and so long as you
  provide access to the unmodified original copy.
  
  Note: The most recent version of these functions may be obtained from
  ftp://auriga.elen.utah.edu/pub/markb/els.tar.Z

  ****************************************************************************/

#ifndef ELS__AUX_H
#define ELS__AUX_H

extern void *mem_alloc(int size);
extern void mem_free(void *mem);

extern char *strdup_ns(const char *str);
extern int strcmp_ci(const char *s1, const char *s2);
extern int strncmp_ci(const char *s1, const char *s2, int n);
extern long strtol();
extern Ulong strtoul();
#ifdef HAVE_STAT64
extern long long strtoll();
extern unsigned long long strtoull();
#endif
extern int envSet(char *var);
extern int envUnset(char *var);
extern char *find_first_occurrence(char *look_for, char *str);
extern void carrot_msg(char *tag, char *opt, char *arg, char *msg, char *ptr);
extern char *quote_fname(char *fname, Boole dash_b, Boole dash_Q, Boole plus_q);
extern char *quote_str(char *str, char **ptr, Ulong mode);
extern void error_msg(char *msg);
extern void error_num(char *file);
extern char *Current_Arg;
extern void opt_error_msg(char *msg, char *ptr);
extern void arg_error_msg(char *msg, char *arg, char *ptr);
extern void usage_error(void);

extern char *Progname;

#define QS_ARG  0x00
#define QS_FILE 0x01

#endif /*ELS__AUX_H*/
