/******************************************************************************
  elsMisc.c -- els miscellaneous functions
  
  Author: Mark Baranowski (markb@elen.utah.edu)

  Last significant change: August 9, 2000
  
  These functions are provided "as is" in the hopes that they might serve some
  higher purpose.  If you want these functions to serve some lower purpose,
  then that too is all right.  So as to keep these hopes alive you may
  freely distribute these functions so long as this header remains intact.
  You may also freely distribute modified versions of these functions so long
  as you indicate that such versions are modified and so long as you
  provide access to the unmodified original copy.
  
  Note: The most recent version of these functions may be obtained from
  ftp://auriga.elen.utah.edu/pub/markb/els.tar.Z

  ****************************************************************************/

#ifndef ELS__ELSMISC_H
#define ELS__ELSMISC_H

extern Boole wildcard_match(char *text, char *pattern);
extern char *uid2name(uid_t uid);
extern char *gid2name(gid_t gid);
extern Ulong checksum(char *filename);
extern int strToVer(char *str, char **ptr);
extern char *verToStr(int ver);
extern void print_args(char **argv, int argc, int version);

#endif /*ELS__ELSMISC_H*/
