/******************************************************************************
  sysdep.h -- System dependencies
  
  Author: Mark Baranowski (markb@elen.utah.edu)

  Last significant change: March 14, 2001
  
  These functions are provided "as is" in the hopes that they might serve some
  higher purpose.  If you want these functions to serve some lower purpose,
  then that too is all right.  So as to keep these hopes alive you may
  freely distribute these functions so long as this header remains intact.
  You may also freely distribute modified versions of these functions so long
  as you indicate that such versions are modified and so long as you
  provide access to the unmodified original copy.
  
  Note: The most recent version of these functions may be obtained from
  ftp://auriga.elen.utah.edu/pub/markb/els.tar.Z

  ****************************************************************************/

#ifndef ELS__SYSDEP_H
#define ELS__SYSDEP_H

extern Ulong osVersion;

extern char *get_userAtHost(void);
extern Ulong get_osVersion(void);
extern void show_options(void);
extern int get_acl_count(Dir_Item *file, char *path);
extern BLKCNT_T get_stat_blocks(struct stat *info);
extern struct stat *set_mp(struct stat *dir);
extern int diff_mp(struct stat *dir);

#endif /*ELS__SYSDEP_H*/
